- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# gen_calls.h File Reference

`#include <sys/thread.h>`
`#include <sys/sysproto.h>`

Include dependency graph for gen_calls.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | getgid (struct thread *, struct getgid_args *)
int | getpid (struct thread *, struct getpid_args *)
int | gettimeofday_new (struct thread *, struct gettimeofday_args *)
int | getuid (struct thread *, struct getuid_args *)
int | issetugid (register struct thread *, struct issetugid_args *)
int | read (struct thread *td, struct read_args *uap)
int | readlink (struct thread *, struct readlink_args *)

## Function Documentation

int getgid | ( | struct thread * | ,
|  | struct getgid_args * |  |
| ) |  |  |

Definition at line 59 of file gen_calls.c.

int getpid | ( | struct thread * | ,
|  | struct getpid_args * |  |
| ) |  |  |

Definition at line 41 of file gen_calls.c.

int gettimeofday_new | ( | struct thread * | ,
|  | struct gettimeofday_args * |  |
| ) |  |  |

Definition at line 118 of file gen_calls.c.

int getuid | ( | struct thread * | ,
|  | struct getuid_args * |  |
| ) |  |  |

Definition at line 50 of file gen_calls.c.

int issetugid | ( | register struct thread * | ,
|  | struct issetugid_args * |  |
| ) |  |  |

Definition at line 100 of file gen_calls.c.

int read | ( | struct thread * | td,
|  | struct read_args * | uap |
| ) |  |  |

Definition at line 125 of file gen_calls.c.

int readlink | ( | struct thread * | ,
|  | struct readlink_args * |  |
| ) |  |  |

Definition at line 108 of file gen_calls.c.